Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 System.Enum

Specifies the type of socket an instance of the class represents.

A member is required when constructing instances of the class and specifies the functionality the instance supports.

- Field
  System.Net.Sockets.SocketType Dgram

  Supports datagrams, which are connectionless, unreliable messages of a fixed (typically small) maximum length. Uses the User Datagram Protocol ( ) protocol and the address family.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketType Raw

  Supports access to the underlying transport protocol. Can communicate through protocols other than and , such as Internet Control Message Protocol () and Internet Group Management Protocol ().

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketType Rdm

  Supports message-oriented, reliably delivered messages, and preserves message boundaries in data.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketType Seqpacket

  Supports message-oriented, sequenced packets.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketType Stream

  Supports reliable, two-way, connection-based byte streams with an out-of-band (OOB) data transmission mechanism. Uses the Transmission Control Protocol () protocol and the address family.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketType Unknown

  Unknown socket type.

  0
  1.0.5000.0
  2.0.0.0
0